Name:		fedora-ksplice
Version:	0.5
Release:	3%{?dist}
Summary:	Script Collection for Using KSplice on Fedora Linux

Group:		System Environment/Kernel
License:	GPLv3
URL:		http://fedorahosted.org/%{name}
Source0:	https://fedorahosted.org/releases/f/e/fedora-ksplice/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

Requires:	ksplice, rpm-build, yum-utils

%description
fedora-ksplice is a collection of shell scripts to use ksplice
in a Fedora environment.

The scripts allow to prepare a kernel for use it with ksplice.

fedora-ksplice-prepare will download the source rpm of the 
current installed kernel. After this the kernel sources 
will be created in the rpm build directory. Additional the
ksplice subdirectory with the System.map file will be created.

Fedora-ksplice-create will apply a patch given as an argument
to the kernel sources prepared by fedora-ksplice-prepare.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}-*
%{_mandir}/man8/%{name}-*

%doc AUTHORS COPYING README

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 18 2009 Jochen Schmitt <Jochen herr-schmitt de> 0.5-2
- Change 'fedora-ksplice' into '%%{name}'
- Use smp_mflags

* Sun Nov 16 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.5-1
- New upstream relase

* Thu Oct 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.3-1
- New upstream release

* Thu Oct 30 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.2.1-1
- New upstream release

* Wed Oct 22 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.2-1
- New upstream release

* Wed Oct  8 2008 Jochen Schmitt <Jochen herr-schmitt de> 0.1-1
- Initional package

